# CTX-Oracle-WebLogic Cortex Module

The module allows users to read and write JMS messages from a Oracle WebLogic Server.

## Table of Contents
1) [Dependencies](#dependencies)
    * [Cortex Version](#cortex-version)
    * [OCIs](#ocis)
    * [Files](#files)
    * [Other](#other)
1) [Support and Warranty](#support-and-warranty)
2) [Installation](#installation)
3) [How to use](#how-to-use)
4) [How you can contribute](#how-you-can-contribute)
5) [Versioning](#versioning)
6) [Licensing](#licensing)


## Dependencies
This version of the CTX-Oracle-WebLogic module was developed with:
### Cortex Version
* Cortex version 6.5
	* Some Cortex functionality may not be available on different verions of Cortex
	
### WebLogic Server Versions
* WebLogic Server 12.2.1.3.0
* WebLogic Server 10.3.6.0
	* Functionality may not work in earlier versions.

### WebLogic Messaging DLL
* WebLogic.Messaging.dll 1.3.4.0

### OCIs
The  module requires the following Cortex OCIs:
* PowerShell

### Files
The CTX-Oracle-WebLogic module requires the following files:
* [CTX-Oracle-WebLogic.studiopkg](https://github.com/CortexIntelligentAutomation/CTX-Oracle-WebLogic/releases/download/v1.0/CTX-Oracle-WebLogic.studiopkg)
* [Oracle WebLogic Messaging DLL](https://github.com/CortexIntelligentAutomation/CTX-Oracle-WebLogic/releases/download/v1.0/WebLogic.Messaging.dll)

### Other
The CTX-Oracle-WebLogic module has the following additional requirements which are explained in detail in the [Installation section](#Installation):<Other Requirements>

## Support and Warranty 
This module is supplied as a template that you can amend and extend to fit your requirements, as such it is not supported as part of the Cortex Product suite under the Cortex product support agreement.

## Installation
Details of the installation can be found in the [CTX-Oracle-WebLogic Deployment Plan](https://github.com/CortexIntelligentAutomation/CTX-Oracle-WebLogic/blob/master/CTX-Oracle-WebLogic%20-%20Deployment%20Plan.pdf).
## How to use
A detailed User Guide has been provided with instructions on how to use the flows/subtasks, available [here](https://github.com/CortexIntelligentAutomation/CTX-Oracle-WebLogic/blob/master/CTX-Oracle-WebLogic%20-%20User%20Guide.pdf). Configuration of subtask inputs and outputs are detailed in notes on the subtask workspace.

## How you can contribute
Unfortunately, we cannot offer pull requests at this time or accept any improvements.

## Versioning
CTX-Oracle-WebLogic has the following versions, starting with the most recent:

Version | Release | Functionality | Notes
------------ | ------------- | ----------- | -----------
v1.0 | 19/02/2019 | OracleWebLogic-QP-Queue-Poster | Created
v1.0 | 19/02/2019 | OracleWebLogic-QP-Queue-Reader | Created

## Licensing
All functionality within this module is licensed under the [Apache 2.0 License](https://www.apache.org/licenses/LICENSE-2.0).

Copyright 2018 Cortex Limited

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.


